TelepathyQt4: DBusDaemonInterface Class Reference

| Home · All Classes · All Namespaces · Modules · Functions · Files

# DBusDaemonInterface Class Reference
[Generic D-Bus proxies]

`#include <TelepathyQt4/DBus>`

Inherits Tp::AbstractInterface.

List of all members.

## Public Slots

- QDBusPendingReply< QString > Hello ()
- QDBusPendingReply< uint > RequestName (const QString &name, uint flags)
- QDBusPendingReply< uint > ReleaseName (const QString &name)
- QDBusPendingReply< uint > StartServiceByName (const QString &service, uint flags)
- QDBusPendingReply< bool > NameHasOwner (const QString &nameToCheck)
- QDBusPendingReply< QStringList > ListNames ()
- QDBusPendingReply< QStringList > ListActivatableNames ()
- QDBusPendingReply AddMatch (const QString &rule)
- QDBusPendingReply RemoveMatch (const QString &rule)
- QDBusPendingReply< QString > GetNameOwner (const QString &name)
- QDBusPendingReply< QStringList > ListQueuedOwners (const QString &name)
- QDBusPendingReply< uint > GetConnectionUnixUser (const QString &connectionName)
- QDBusPendingReply< uint > GetConnectionUnixProcessID (const QString &connectionName)
- QDBusPendingReply< QByteArray > GetConnectionSELinuxSecurityContext (const QString &connectionName)
- QDBusPendingReply ReloadConfig ()
- QDBusPendingReply< QString > GetId ()

## Signals

- void NameOwnerChanged (const QString &name, const QString &oldOwner, const QString &newOwner)
- void NameLost (const QString &name)
- void NameAcquired (const QString &name)

## Public Member Functions

- DBusDaemonInterface (const QString &busName, const QString &objectPath, QObject *parent=0)
- DBusDaemonInterface (const QDBusConnection &connection, const QString &busName, const QString &objectPath, QObject *parent=0)
- DBusDaemonInterface (Tp::DBusProxy *proxy)
- DBusDaemonInterface (const Tp::AbstractInterface &mainInterface)
- DBusDaemonInterface (const Tp::AbstractInterface &mainInterface, QObject *parent)

## Static Public Member Functions

- static const char * staticInterfaceName ()

## Protected Member Functions

- virtual void invalidate (Tp::DBusProxy *, const QString &, const QString &)

## Detailed Description

Proxy class providing a 1:1 mapping of the D-Bus interface "org.freedesktop.DBus."

## Constructor & Destructor Documentation

DBusDaemonInterface | ( | const QString & | busName,
|  | const QString & | objectPath,
|  | QObject * | parent = `0` |
| ) |  |  |

Creates a DBusDaemonInterface associated with the given object on the session bus.

Parameters:

  | busName | Name of the service the object is on.
  | objectPath | Path to the object on the service.
  | parent | Passed to the parent class constructor.

DBusDaemonInterface | ( | const QDBusConnection & | connection,
|  | const QString & | busName,
|  | const QString & | objectPath,
|  | QObject * | parent = `0` |
| ) |  |  |

Creates a DBusDaemonInterface associated with the given object on the given bus.

Parameters:

  | connection | The bus via which the object can be reached.
  | busName | Name of the service the object is on.
  | objectPath | Path to the object on the service.
  | parent | Passed to the parent class constructor.

DBusDaemonInterface | ( | Tp::DBusProxy * | proxy | ) |

Creates a DBusDaemonInterface associated with the same object as the given proxy.

Parameters:

  | proxy | The proxy to use. It will also be the QObject::parent() for this object.

DBusDaemonInterface | ( | const Tp::AbstractInterface & | mainInterface | ) | `[explicit]`

Creates a DBusDaemonInterface associated with the same object as the given proxy. Additionally, the created proxy will have the same parent as the given proxy.

Parameters:

  | mainInterface | The proxy to use.

DBusDaemonInterface | ( | const Tp::AbstractInterface & | mainInterface,
|  | QObject * | parent |
| ) |  |  |

Creates a DBusDaemonInterface associated with the same object as the given proxy. However, a different parent object can be specified.

Parameters:

  | mainInterface | The proxy to use.
  | parent | Passed to the parent class constructor.

## Member Function Documentation

static const char* staticInterfaceName | ( |  | ) | `[inline, static]`

Returns the name of the interface "org.freedesktop.DBus", which this class represents.

Returns:
  The D-Bus interface name.

QDBusPendingReply<QString> Hello | ( |  | ) | `[inline, slot]`

Begins a call to the D-Bus method "Hello" on the remote object.

QDBusPendingReply<uint> RequestName | ( | const QString & | name,
|  | uint | flags |
| ) |  |  | `[inline, slot]`

Begins a call to the D-Bus method "RequestName" on the remote object.

QDBusPendingReply<uint> ReleaseName | ( | const QString & | name | ) | `[inline, slot]`

Begins a call to the D-Bus method "ReleaseName" on the remote object.

QDBusPendingReply<uint> StartServiceByName | ( | const QString & | service,
|  | uint | flags |
| ) |  |  | `[inline, slot]`

Begins a call to the D-Bus method "StartServiceByName" on the remote object.

QDBusPendingReply<bool> NameHasOwner | ( | const QString & | nameToCheck | ) | `[inline, slot]`

Begins a call to the D-Bus method "NameHasOwner" on the remote object.

QDBusPendingReply<QStringList> ListNames | ( |  | ) | `[inline, slot]`

Begins a call to the D-Bus method "ListNames" on the remote object.

QDBusPendingReply<QStringList> ListActivatableNames | ( |  | ) | `[inline, slot]`

Begins a call to the D-Bus method "ListActivatableNames" on the remote object.

QDBusPendingReply AddMatch | ( | const QString & | rule | ) | `[inline, slot]`

Begins a call to the D-Bus method "AddMatch" on the remote object.

QDBusPendingReply RemoveMatch | ( | const QString & | rule | ) | `[inline, slot]`

Begins a call to the D-Bus method "RemoveMatch" on the remote object.

QDBusPendingReply<QString> GetNameOwner | ( | const QString & | name | ) | `[inline, slot]`

Begins a call to the D-Bus method "GetNameOwner" on the remote object.

QDBusPendingReply<QStringList> ListQueuedOwners | ( | const QString & | name | ) | `[inline, slot]`

Begins a call to the D-Bus method "ListQueuedOwners" on the remote object.

QDBusPendingReply<uint> GetConnectionUnixUser | ( | const QString & | connectionName | ) | `[inline, slot]`

Begins a call to the D-Bus method "GetConnectionUnixUser" on the remote object.

QDBusPendingReply<uint> GetConnectionUnixProcessID | ( | const QString & | connectionName | ) | `[inline, slot]`

Begins a call to the D-Bus method "GetConnectionUnixProcessID" on the remote object.

QDBusPendingReply<QByteArray> GetConnectionSELinuxSecurityContext | ( | const QString & | connectionName | ) | `[inline, slot]`

Begins a call to the D-Bus method "GetConnectionSELinuxSecurityContext" on the remote object.

QDBusPendingReply ReloadConfig | ( |  | ) | `[inline, slot]`

Begins a call to the D-Bus method "ReloadConfig" on the remote object.

QDBusPendingReply<QString> GetId | ( |  | ) | `[inline, slot]`

Begins a call to the D-Bus method "GetId" on the remote object.

void NameOwnerChanged | ( | const QString & | name,
|  | const QString & | oldOwner,
|  | const QString & | newOwner |
| ) |  |  | `[signal]`

Represents the signal "NameOwnerChanged" on the remote object.

void NameLost | ( | const QString & | name | ) | `[signal]`

Represents the signal "NameLost" on the remote object.

void NameAcquired | ( | const QString & | name | ) | `[signal]`

Represents the signal "NameAcquired" on the remote object.

virtual void invalidate | ( | Tp::DBusProxy * | ,
|  | const QString & | ,
|  | const QString & |  |
| ) |  |  | `[protected, virtual]`